=== debian/control ===
Source: tightvnc-java
Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
Uploaders: Sven Geuer <debmaint@g-e-u-e-r.de>,
Section: web
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: default-jdk,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian-remote-team/tightvnc-java
Vcs-Git: https://salsa.debian.org/debian-remote-team/tightvnc-java.git
Homepage: https://www.tightvnc.com

Package: tightvnc-java
Architecture: all
Suggests: tightvncserver,
          default-jre,
Depends: ${misc:Depends}
Provides: vnc-viewer
Description: TightVNC java applet and command line program
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 This is the vnc java applet file that the tightvncserver can distribute
 to the client. In addition a command line program that starts the java based
 vnc viewer locally is included.
