=== debian/tests/control ===
Tests: test-vnc-connection
Depends: tightvncserver,
         xfonts-base,
         default-jre,
         @,
