=== debian/watch ===
version=4
opts=\
filenamemangle=s/.*tightvnc-([\d.]+)_javasrc\.tar\.gz/tightvnc-java-$1.tar.gz/ \
https://www.tightvnc.com/download-old.php \
.*/download/[\d.]+/tightvnc-([\d.]+)_javasrc.tar.gz debian uupdate
